# ``subvertpy`.`tests`.`SubversionTestCase``

class documentation

`class SubversionTestCase(TestCaseInTempDir):`

Known subclasses: `subvertpy.tests.test_client.TestClient`, `subvertpy.tests.test_ra.TestRemoteAccess`, `subvertpy.tests.test_wc.WcTests`

View In Hierarchy

A test case that provides the ability to build Subversion repositories.

Method | `build_tree` | Create a directory tree.
Method | `client_add` | Add specified files to working copy.
Method | `client_commit` | Commit current changes in specified working copy.
Method | `client_copy` | Copy file in working copy.
Method | `client_delete` | Remove specified files from working copy.
Method | `client_get_prop` | Retrieve a property from a local or remote file or directory.
Method | `client_get_revprop` | Get the revision property.
Method | `client_lock` | Undocumented
Method | `client_log` | Fetch the log
Method | `client_resolve` | Resolve a conflict set on a local path.
Method | `client_set_prop` | Set a property on a local file or directory.
Method | `client_set_revprop` | Set a revision property on a repository.
Method | `client_unlock` | Undocumented
Method | `client_update` | Update path.
Method | `get_commit_editor` | Obtain a commit editor.
Method | `log_message_func` | Undocumented
Method | `make_checkout` | Create a new checkout.
Method | `make_client` | Create a repository and a checkout. Return the checkout.
Method | `make_repository` | Create a repository.
Method | `open_fs` | Open a fs.
Method | `setUp` | Undocumented
Method | `tearDown` | Undocumented
Instance Variable | `client_ctx` | Undocumented
Instance Variable | `next_message` | Undocumented
Method | `_init_client` | Undocumented

Inherited from `TestCaseInTempDir`:

Instance Variable | `test_dir` | Undocumented
Instance Variable | `_oldcwd` | Undocumented

Inherited from `TestCase` (via `TestCaseInTempDir`):

Method | `assertIs` | Undocumented
Method | `assertIsInstance` | Fail if obj is not an instance of kls

def build_tree(self, files):
Create a directory tree.

Parameters
files | Dictionary with filenames as keys, contents as values. None as value indicates a directory.

def client_add(self, relpath, recursive=True):
Add specified files to working copy.

Parameters
relpath | Path to the files to add.
recursive | Undocumented

def client_commit(self, dir, message=None, recursive=True):
Commit current changes in specified working copy.

Parameters
dir | List of paths to commit.
message | Undocumented
recursive | Undocumented

def client_copy(self, oldpath, newpath, revnum=None):
Copy file in working copy.

Parameters
oldpath | Relative path to original file.
newpath | Relative path to new file.
revnum | Undocumented

def client_delete(self, relpath):
Remove specified files from working copy.

Parameters
relpath | Path to the files to remove.

def client_get_prop(self, path, name, revnum=None, recursive=False):
Retrieve a property from a local or remote file or directory.
def client_get_revprop(self, url, revnum, name):
Get the revision property.

Parameters
url | URL of the repository
revnum | Revision number
name | Property name
Returns
Revision property value

def client_lock(self, path, comment='A comment', steal_lock=False):

Undocumented

def client_log(self, url, start_revnum, stop_revnum):
Fetch the log

Parameters
url | URL to log
start_revnum | Stop revision of the range to log over
stop_revnum | Undocumented
Returns
Dictionary

def client_resolve(self, path, choice, depth=0):
Resolve a conflict set on a local path.
def client_set_prop(self, path, name, value):
Set a property on a local file or directory.
def client_set_revprop(self, url, revnum, name, value):
Set a revision property on a repository.

Parameters
url | URL of the repository
revnum | Revision number of the revision
name | Name of the property
value | Value of the property, None to remove

def client_unlock(self, path, steal_lock=False):

Undocumented

def client_update(self, path):
Update path.

Parameters
path | Path

def get_commit_editor(self, url, message='Test commit'):
Obtain a commit editor.

Parameters
url | URL to connect to
message | Commit message
Returns
Commit editor object

def log_message_func(self, items):

Undocumented

def make_checkout(self, repos_url, relpath):
Create a new checkout.
def make_client(self, repospath, clientpath, allow_revprop_changes=True):
Create a repository and a checkout. Return the checkout.

Parameters
repospath | Optional relpath to check out if not the full repository.
clientpath | Path to checkout
allow_revprop_changes | Undocumented
Returns
Repository URL.

def make_repository(self, relpath, allow_revprop_changes=True):
Create a repository.

Returns
Handle to the repository.

def open_fs(self, relpath):
Open a fs.

Returns
FS.

def setUp(self):
overrides `subvertpy.tests.TestCaseInTempDir.setUp`
overridden in `subvertpy.tests.test_client.TestClient`, `subvertpy.tests.test_ra.TestRemoteAccess`

Undocumented

def tearDown(self):
overrides `subvertpy.tests.TestCaseInTempDir.tearDown`
overridden in `subvertpy.tests.test_client.TestClient`, `subvertpy.tests.test_ra.TestRemoteAccess`

Undocumented

client_ctx =

Undocumented

next_message =

Undocumented

def _init_client(self):

Undocumented